package com.dayou.service.impl;

import com.dayou.entity.ItemUser;
import com.dayou.entity.User;
import com.dayou.mapper.ItemUserMapper;
import com.dayou.service.IItemUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dayou.vo.ItemStageUserVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 项目人员表 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
@Service
public class ItemUserServiceImpl extends ServiceImpl<ItemUserMapper, ItemUser> implements IItemUserService {

    @Autowired
    private ItemUserMapper itemUserMapper;

    @Override
    @SuppressWarnings("unchecked")
    public Page<ItemUser> selectPage(Page page,ItemUser itemUser){
        return this.page(page, new QueryWrapper<ItemUser>(itemUser));
    }


    @Override
    public ItemUser detail(Long id){
        return this.getById(id);
    }

    @Override
    public Boolean add(ItemUser itemUser){
        return  this.save(itemUser);
    }

    @Override
    public Boolean update(ItemUser itemUser){
        return  this.updateById(itemUser);
    }

    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }

    @Override
    public List<ItemStageUserVO> userList(ItemStageUserVO itemStageUserVO) {
        List<ItemStageUserVO> list = itemUserMapper.userList(itemStageUserVO);
        return list;
    }
}
